View a markdown version of this page

ListWhatsAppFlowAssets - AWS End User Messaging Social

ListWhatsAppFlowAssets

Lists the assets (Flow JSON definition) of a WhatsApp Flow with presigned download URLs. Download URLs are generated by Meta and expire after a short period.

Request Syntax

GET /v1/whatsapp/flow/assets?flowId=flowId&id=id&maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

flowId

The unique identifier of the Flow whose assets to list.

Length Constraints: Minimum length of 1. Maximum length of 100.

Pattern: [0-9]+

Required: Yes

id

The ID of the WhatsApp Business Account associated with this Flow.

Length Constraints: Minimum length of 1. Maximum length of 115.

Pattern: .*(^waba-.*$)|(^arn:.*:waba/[0-9a-zA-Z]+$).*

Required: Yes

maxResults

The maximum number of results to return per page.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token for the next page of results.

Length Constraints: Minimum length of 1. Maximum length of 600.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "flowAssets": [ { "assetType": "string", "downloadUrl": "string", "name": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

flowAssets

A list of Flow assets with download URLs.

Type: Array of MetaFlowAsset objects

nextToken

The token to retrieve the next page of results, if any.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 600.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedByMetaException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

DependencyException

Thrown when performing an action because a dependency would be broken.

HTTP Status Code: 502

InternalServiceException

The request processing has failed because of an unknown error, exception, or failure.

HTTP Status Code: 500

InvalidParametersException

One or more parameters provided to the action are not valid.

HTTP Status Code: 400

ResourceNotFoundException

The resource was not found.

HTTP Status Code: 404

ThrottledRequestException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request contains an invalid parameter value.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: